Cannot install Remastersys

Questions about applications and software
Forum rules
Before you post please read this

Cannot install Remastersys

Postby mzsade on Thu Jan 06, 2011 2:35 am

I have followed the tutorial and included the deb line in /etc/apt/sources.list, when i try to install it from Synaptic the installation gets aborted with this message:
"remastersys:
Depends: live-initramfs but it is not going to be installed"
Would you advise installing directly from the deb packages here; http://www.geekconnection.org/remasters ... y/squeeze/, and if so, which package/s should i choose. I already have Mint menu, is the mintmenu_4.9.4_all.deb something different, would rather not botch up my perfectly working install.

Edit: the remastersys .debs are "read only" so that option is out, manually installed live-intramfs, live-boot and live-boot-intramfs-tools got removed, then tried again:

"remastersys:
Depends: live-boot but it is not going to be installed
Depends: live-boot-initramfs-tools but it is not going to be installed" :roll:

Reinstalled mint-meta-debian and tried again, same result.
Linux User #481272 Reg: 15th Sept., 2008
mzsade
Level 5
Level 5
 
Posts: 600
Joined: Sun Jul 19, 2009 4:36 am

Linux Mint is funded by ads and donations.
 

Re: Cannot install Remastersys

Postby mzsade on Thu Jan 06, 2011 4:32 am

Would using the "-f install" option crash the system? Apparently live-intramfs and live-boot cannot exist side by side, and yet both are required by remastersys, so i would really appreciate knowing if anybody has actually used remastersys on their LMDE.
Linux User #481272 Reg: 15th Sept., 2008
mzsade
Level 5
Level 5
 
Posts: 600
Joined: Sun Jul 19, 2009 4:36 am

Re: Cannot install Remastersys

Postby twa on Thu Jan 06, 2011 5:08 am

hi,
Remastersys works on debian only with ext3 file system.
http://www.geekconnection.org/remastersys/debian.html
eventhough u install Remastersys, the program does not work.
by
When an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread.
User avatar
twa
Level 4
Level 4
 
Posts: 231
Joined: Fri Sep 17, 2010 8:11 am
Location: Somewhere in the sky

Re: Cannot install Remastersys

Postby mzsade on Thu Jan 06, 2011 5:21 am

I have read elsewhere (will look it up later), that there have been changes made in remastersys to enable it to work with Ext4 and Grub2, anyway we will get to that later, right now the issue is the conflict between two dependencies both of which are required by remastersys, and whether it is at all possible to install it on LMDE.

Edit: tdockery97 said so here; viewtopic.php?f=47&t=62715
Linux User #481272 Reg: 15th Sept., 2008
mzsade
Level 5
Level 5
 
Posts: 600
Joined: Sun Jul 19, 2009 4:36 am

Re: Cannot install Remastersys

Postby mzsade on Sat Jan 08, 2011 10:50 am

Linux User #481272 Reg: 15th Sept., 2008
mzsade
Level 5
Level 5
 
Posts: 600
Joined: Sun Jul 19, 2009 4:36 am

Re: Cannot install Remastersys

Postby infowars on Sat Jan 08, 2011 6:55 pm

I am using Mint 9 and I didn't see what you are trying on but maybe this helps... maybe not....

# Remastersys
deb http://www.geekconnection.org/remastersys/repository karmic
1. download the Remastersys.
http://www.remastersys.klikit-linux.com ... mastersys/
2. Modify remastersys
sudo gedit /etc/remastersys.conf
3. After remastersys is installed you need to open your terminal. Run the next command as root,
sudo remastersys-gui

http://www.remastersys.klikit-linux.com/

Hope that may help......
"They who do not prevent evil when they can, actually help commit the evil." Maxim of Law
Either you prevent evil by opposing and exposing it. OR you are part of it.
If "good people do nothing" are they REALLY "good people?"
infowars
Level 1
Level 1
 
Posts: 25
Joined: Mon Sep 13, 2010 5:48 pm

Re: Cannot install Remastersys

Postby twa on Sun Jan 09, 2011 6:19 am

hi,
http://www.geekconnection.org/remastersys/debian.html
read well at the end:
The Remastersys repository needs to be added to your /etc/apt/sources.list

Please note that the Squeeze version at the moment can only use grub-legacy and ext3 in the installer so if you want to use grub2 and ext4 you will have to make your own livecd manually instead of using remastersys for squeeze.

Eventhough u add the repositories and install Remastersys, the program does not work. It works well on MINT distros i.e. 7-8-9-10.
by
When an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread.
User avatar
twa
Level 4
Level 4
 
Posts: 231
Joined: Fri Sep 17, 2010 8:11 am
Location: Somewhere in the sky

Re: Cannot install Remastersys

Postby awong on Mon Feb 21, 2011 4:11 am

mzsade wrote:"remastersys:
Depends: live-boot but it is not going to be installed
Depends: live-boot-initramfs-tools but it is not going to be installed" :roll:

Reinstalled mint-meta-debian and tried again, same result.
See http://www.remastersys.com/forums/index.php?PHPSESSID=5al4dppi14e85ms865129svb21&topic=1183.0

Both dependencies install in my Linux Mint Debian laptop but I still can't get remastersys to actually do anything. I do see the gui and can change settings but it doesn't write any data. :(
awong
Level 2
Level 2
 
Posts: 60
Joined: Sat Jun 02, 2007 3:06 pm

Re: Cannot install Remastersys

Postby mzsade on Mon Feb 21, 2011 7:25 am

Looks like it was never meant to be, maybe the developers have some long term plans that we do not know about.
Linux User #481272 Reg: 15th Sept., 2008
mzsade
Level 5
Level 5
 
Posts: 600
Joined: Sun Jul 19, 2009 4:36 am

Re: Cannot install Remastersys

Postby twa on Mon Feb 21, 2011 7:52 am

mzsade,
it looks like things have changed for remastersys...read this now...
http://www.geekconnection.org/remastersys/debian.html
however:
If your kernel doesn't have the squashfs-modules and either the aufs-modules or unionfs-modules, you MUST use a different kernel. No ifs ands or buts about it.

:roll:
When an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread.
User avatar
twa
Level 4
Level 4
 
Posts: 231
Joined: Fri Sep 17, 2010 8:11 am
Location: Somewhere in the sky

Re: Cannot install Remastersys

Postby mzsade on Mon Feb 21, 2011 8:34 am

I have the squashfs-modules, and all else that is required, thank you, i appreciate your trying to help and all, but please, do give me some credit for having the sense to go through the pages covering the basic requirements first... :) Also, this is an LMDE specific snag and unless you are using it too, and not Mint 8,9 or 10, your experience is bound to differ at various stages of installation. As somebody on the remastersys forum said, certain packages have been "pinned" in a certain way and there's nothing i can do about it, unless i become a bash pro, maybe learn a couple of other programming languages, and can interpret the source code well enough to "unpin" those packages.
Linux User #481272 Reg: 15th Sept., 2008
mzsade
Level 5
Level 5
 
Posts: 600
Joined: Sun Jul 19, 2009 4:36 am

Re: Cannot install Remastersys

Postby twa on Tue Feb 22, 2011 6:23 am

mzsade,
ok,..I saw your post here:
http://www.remastersys.com/forums/index ... pic=1183.0
have U tried the solution suggested by kitcky ???
for the time being have no intention to test it on my LMDE.
When an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread.
User avatar
twa
Level 4
Level 4
 
Posts: 231
Joined: Fri Sep 17, 2010 8:11 am
Location: Somewhere in the sky

Re: Cannot install Remastersys

Postby mzsade on Tue Feb 22, 2011 11:52 am

Awong seems to have tried that, bog bless his pioneering soul, without complete success..also, i have got so much going on here with my LMDE install, as have you i suspect..let's just admit that we are a couple of ignorant chickenshits, and that we should be counting our blessings instead of whining about what cannot be done. :wink:
Linux User #481272 Reg: 15th Sept., 2008
mzsade
Level 5
Level 5
 
Posts: 600
Joined: Sun Jul 19, 2009 4:36 am

Re: Cannot install Remastersys

Postby twa on Wed Feb 23, 2011 12:47 pm

mzsade,
BINGO !!! have followed the trick suggested by kitchy
The solution I found is installing live-boot and live-boot-initramfs-tools via apt-get. By so doing live-initramfs is removed. Then I downloaded live-initramfs from here:
http://packages.debian.org/squeeze/live-initramfs

and have been able to create the iso for my LMDE.
installed on another HD without problems and it worked !!
the only issue was that I had to create the iso from the terminal
Code: Select all
sudo remastersys backup

then installed from System>Administration>Remastersys Installer
:mrgreen:
When an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread.
User avatar
twa
Level 4
Level 4
 
Posts: 231
Joined: Fri Sep 17, 2010 8:11 am
Location: Somewhere in the sky

Re: Cannot install Remastersys

Postby mzsade on Wed Feb 23, 2011 10:45 pm

twa, i'm touched by your tenacity and good faith, thank you..let me wrestle with this new information and get back to you, i will have to do this from the beginning now, had already removed the ppa from the repositories in resignation.
Linux User #481272 Reg: 15th Sept., 2008
mzsade
Level 5
Level 5
 
Posts: 600
Joined: Sun Jul 19, 2009 4:36 am

Re: Cannot install Remastersys

Postby fullmoonguru on Thu Mar 17, 2011 8:37 am

mzsade or twa, I'm trying this on my LMDE install. I got the initramfs thing done, but I'm stuck on this part:

If your kernel doesn't have the squashfs-modules and either the aufs-modules or unionfs-modules, you MUST use a different kernel. No ifs ands or buts about it.


In my LMDE install, Synaptic shows squashfs-tools (installed) and aufs-tools (not installed). Are these the same things as the modules, or different. If different, how do I install the modules? Thanks-
fullmoonguru
Level 2
Level 2
 
Posts: 51
Joined: Sat Mar 12, 2011 11:14 am

Re: Cannot install Remastersys

Postby twa on Thu Mar 17, 2011 12:08 pm

fullmoonguru,
1. open the terminal to pull-up your sources.list
Code: Select all
sudo gedit /etc/apt/sources.list

2. add these two lines
Code: Select all
# Remastersys Squeeze
deb http://www.geekconnection.org/remastersys/repository squeeze/

click on SAVE and close the window
3. back to the terminal and install these packets
Code: Select all
sudo apt-get install live-boot

and
Code: Select all
sudo apt-get install live-boot-initramfs-tools 

(U can do also from Synaptic)
4.go here : http://packages.debian.org/en/squeeze/live-initramfs
and Download live-initramfs
bottom left -all architectures...(choose a location nearby to U)
5. click right button on the .deb package, and on the drop-down menu click left button on Open with GDebi (this will install Remastersys)
6.After installation U'll find Remastersys in System>Administration.
.
NOW read this: http://www.geekconnection.org/remastersys/debian.html
and my reply to mazde on wed Feb 23,2011 6.47 pm

cheers
When an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread.
User avatar
twa
Level 4
Level 4
 
Posts: 231
Joined: Fri Sep 17, 2010 8:11 am
Location: Somewhere in the sky

Re: Cannot install Remastersys

Postby fullmoonguru on Thu Mar 17, 2011 1:14 pm

Thanks twa, I did all that already. The part I don't have is this:

If your kernel doesn't have the squashfs-modules and either the aufs-modules or unionfs-modules, you MUST use a different kernel. No ifs ands or buts about it.


from the remastersys page. my Synaptic only shows squashfs-tools and aufs-tools, not -modules.

Being a daring individual, I tried it anyway and it created a backup. I tried the livecd and it killed the video half way through the boot, on one machine, and stuck on the busy circle icon thingy on another. I'm assuming it has to do with the squashfs & aufs modules.
fullmoonguru
Level 2
Level 2
 
Posts: 51
Joined: Sat Mar 12, 2011 11:14 am

Re: Cannot install Remastersys

Postby twa on Thu Mar 17, 2011 1:59 pm

fullmoonguru,
my kernel has only squashfs-tools installed.
forget about the aufs or unionfs.
by the way...did U reboot first as suggested \??

try again the whole procedure from the beginning
When an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread.
User avatar
twa
Level 4
Level 4
 
Posts: 231
Joined: Fri Sep 17, 2010 8:11 am
Location: Somewhere in the sky

Re: Cannot install Remastersys

Postby fullmoonguru on Thu Mar 17, 2011 9:42 pm

Did it all again with the same results. I'm running LMDE 64 bit. You running 32? Maybe that's the diff.
fullmoonguru
Level 2
Level 2
 
Posts: 51
Joined: Sat Mar 12, 2011 11:14 am

Linux Mint is funded by ads and donations.
 
Next

Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 3 guests